Base Distribution - Task # 52504

Work Package # 49943 (Accepted): Security

Status: Resolved Priority: Should have

Author: Andreas Foérthner Category: Content Management
Created: 2013-10-03 Assigned To:

Updated: 2013-10-11 Due date:

Subiject: WorkspaceController: Only publish your own workspace

Description

Associated revisions

Revision 9321a008 - 2013-10-11 10:01 - Andreas Forthner

[TASK] Disallow access to foreign workspaces

The workspace module currently allows

to show, publish and discard workspaces

of other users.

Since we currently only have per user workspaces,
this change disables the selection of other
workspaces in the workspaces module controller
so that only access to the workspace of

the currently logged in user is possible.

Resolves: #52506

Resolves: #52504

Change-Id: 101be491ba5bd415f861fc459e7c5e0bb74c8976
Reviewed-on: https://review.typo3.orq/24342

Reviewed-by: Andreas Férthner
Tested-by: Andreas Férthner

History

#1 - 2013-10-04 13:55 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/24342

#2 - 2013-10-04 14:33 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/24342

#3 - 2013-10-10 21:42 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24342
#4 - 2013-10-11 10:00 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/24342

#5 - 2013-10-11 10:36 - Andreas Forthner
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:9321a008fc82e77¢c3da70d360067be337e9b726¢.
